<?php
require 'inc.php';

@header('Content-Type: text/html; charset=UTF-8');

$trade_no = daddslashes($_GET['trade_no']);
if ($conf['qqpay_api'] != 1)
    exit('当前支付接口未开启');
$row = $DB->get('pay', '*', ['trade_no' => $trade_no]);
if (!$row)
    exit('该订单号不存在，请返回来源地重新发起请求！');

require_once(SYSTEM_ROOT . 'qqpay/qpayMchAPI.class.php');

//入参
$params                     = array();
$params['out_trade_no']     = $trade_no;
$params['body']             = $row['name'];
$params['fee_type']         = 'CNY';
$params['notify_url']       = $siteurl . 'qqpay_notify.php';
$params['spbill_create_ip'] = $clientip;
$params['total_fee']        = intval($row['money'] * 100);
$params['trade_type']       = 'NATIVE';

//api调用
$qpayApi = new QpayMchAPI('https://qpay.qq.com/cgi-bin/pay/qpay_unified_order.cgi', null, 10);
$ret     = $qpayApi->reqQpay($params);
$result  = QpayMchUtil::xmlToArray($ret);
//print_r($arr);

if ($result['return_code'] == 'SUCCESS' && $result['result_code'] == 'SUCCESS') {
    $code_url = $result['code_url'];
} elseif (isset($result["err_code"])) {
    sysmsg('QQ钱包支付下单失败！[' . $result["err_code"] . '] ' . $result["err_code_des"]);
} else {
    sysmsg('QQ钱包支付下单失败！[' . $result["return_code"] . '] ' . $result["return_msg"]);
}

?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="Content-Language" content="zh-cn">
    <meta name="renderer" content="webkit">
    <title>QQ钱包安全支付 - <?php echo $sitename ?></title>
    <link href="assets/css/mqq_pay.css?v=1" rel="stylesheet" media="screen">
</head>
<body>
<div class="body">
    <h1 class="mod-title">
        <span class="ico-wechat"></span><span class="text">QQ钱包支付</span>
    </h1>
    <div class="mod-ct">
        <div class="order">
        </div>
        <div class="amount">￥<?php echo $row['money'] ?></div>
        <div class="qr-image" id="qrcode">
        </div>

        <div class="detail" id="orderDetail">
            <dl class="detail-ct" style="display: none;">
                <dt>商家</dt>
                <dd id="storeName"><?php echo $conf['sitename'] ?></dd>
                <dt>购买物品</dt>
                <dd id="productName"><?php echo $row['name'] ?></dd>
                <dt>商户订单号</dt>
                <dd id="billId"><?php echo $row['trade_no'] ?></dd>
                <dt>创建时间</dt>
                <dd id="createTime"><?php echo $row['addtime'] ?></dd>
            </dl>
            <a href="javascript:void(0)" class="arrow"><i class="ico-arrow"></i></a>
        </div>
        <div class="tip">
            <span class="dec dec-left"></span>
            <span class="dec dec-right"></span>
            <div class="ico-scan"></div>
            <div class="tip-text">
                <p>请使用手机QQ扫一扫</p>
                <p>扫描二维码完成支付</p>
            </div>
        </div>
        <div class="tip-text">
        </div>
    </div>
    <div class="foot">
        <div class="inner">
            <p>手机用户可保存上方二维码到手机中</p>
            <p>在手机QQ扫一扫中选择“相册”即可</p>
        </div>
    </div>
</div>
<script src="//lib.baomitu.com/jquery/1.12.4/jquery.min.js"></script>
<script src="//lib.baomitu.com/jquery.qrcode/1.0/jquery.qrcode.min.js"></script>
<script>
    var code_url = '<?php echo $code_url?>';
    $('#qrcode').qrcode({
        text: code_url,
        width: 230,
        height: 230,
        foreground: "#000000",
        background: "#ffffff",
        typeNumber: -1
    });
    // 订单详情
    $('#orderDetail .arrow').click(function (event) {
        if ($('#orderDetail').hasClass('detail-open')) {
            $('#orderDetail .detail-ct').slideUp(500, function () {
                $('#orderDetail').removeClass('detail-open');
            });
        } else {
            $('#orderDetail .detail-ct').slideDown(500, function () {
                $('#orderDetail').addClass('detail-open');
            });
        }
    });

    // 检查是否支付完成
    function loadmsg() {
        $.ajax({
            type: "GET",
            dataType: "json",
            url: "getshop.php",
            timeout: 10000, //ajax请求超时时间10s
            data: {type: "qqpay", trade_no: "<?php echo $row['trade_no']?>"}, //post数据
            success: function (data, textStatus) {
                //从服务器得到数据，显示数据并继续查询
                if (data.code == 1) {
                    if (confirm("您已支付完成，需要跳转到订单页面吗？")) {
                        window.location.href = data.backurl;
                    } else {
                        // 用户取消
                    }
                } else {
                    setTimeout("loadmsg()", 4000);
                }
            },
            //Ajax请求超时，继续查询
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                if (textStatus == "timeout") {
                    setTimeout("loadmsg()", 1000);
                } else { //异常
                    setTimeout("loadmsg()", 4000);
                }
            }
        });
    }

    window.onload = loadmsg();
</script>
</body>
</html>